<?php
//$Id: millennium.views.inc,v 1.1.2.1 2010/04/06 02:17:05 janusman Exp $
/**
 * @file
 * Views handlers.
 */

/**
 * Implementation of hook_views_data().
 */
function millennium_views_data() {
  $data = array();
  $data['millennium_node_bib']['table']['group'] = t('Millennium');
  $data['millennium_node_bib']['table']['join']['node'] = array(
    'left_field' => 'nid',
    'field' => 'nid',
    'type' => 'INNER',
  );
  $data['millennium_node_bib']['cover_image'] = array(
    'field' => array(
      'real field' => 'biblio_data',
      'title' => t('Cover image'),
      'help' => t("Show the record cover image."),
      'handler' => 'millennium_handler_field_coverimage',
    ),
  );
  $data['millennium_node_bib']['type'] = array(
    'field' => array(
      'real field' => 'biblio_data',
      'title' => t('Type'),
      'help' => t("Show the record type."),
      'handler' => 'millennium_handler_field_type',
    ),
  );
  $data['millennium_node_bib']['year'] = array(
    'field' => array(
      'real field' => 'biblio_data',
      'title' => t('Year published'),
      'help' => t("Show the record's year published."),
      'handler' => 'millennium_handler_field_year',
    ),
  );
  $data['millennium_node_bib']['biblio_data'] = array(
    'field' => array(
      'real field' => 'biblio_data',
      'title' => t('Biblio data table'),
      'help' => t("Show the record's complete biblio data table."),
      'handler' => 'millennium_handler_field_biblio_data_table',
    ),
  );
  return $data;
}

/**
 * Implementation of hook_views_handlers() to register all of the basic handlers
 * views uses.
 */
function millennium_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'millennium') . '/views',
    ),
    'handlers' => array(
      // The name of my handler
      'millennium_handler_field_biblio_data_table' => array(
        'parent' => 'views_handler_field',
      ),
      'millennium_handler_field_coverimage' => array(
        'parent' => 'views_handler_field',
      ),
      'millennium_handler_field_type' => array(
        'parent' => 'views_handler_field',
      ),
      'millennium_handler_field_year' => array(
        'parent' => 'views_handler_field',
      ),
    ),
  );
}
